  $('body').off('click', '#btnZumtesten');
	$('body').on('click', '#btnZumtesten', function(){
  	$("#tbPONr").val("21178795-10");
	  $("#inpLieferDatum").val("20160512");
  	getFirstEmptyInput().value = 416;
  	getFirstEmptyInput().value = 417;
  	getFirstEmptyInput().value = 418;
  	getFirstEmptyInput().value = 419;
  	getFirstEmptyInput().value = 420;
  	getFirstEmptyInput().value = 421;
  	getFirstEmptyInput().value = 422;
  	getFirstEmptyInput().value = 423;
  	getFirstEmptyInput().value = 424;
  	getFirstEmptyInput().value = 425;
  	getFirstEmptyInput().value = 426;
  	getFirstEmptyInput().value = 427;
  	getFirstEmptyInput().value = 428;
  	getFirstEmptyInput().value = 429;
  	getFirstEmptyInput().value = 430;
		$('#btnLieferungErstellen').trigger('click');
	});



	$('body').off('click', "#btnLT3040, #btnLT3030, #btnLT2121, #btnLT2121C");

	$('body').on('click', "#btnLT3040", function(){
		resetBtnColor();
		$('#btnLT3040').removeClass().addClass('small-btn-selected');
		liefertyp = "3040";
		fillinLieferboxen(liefertyp);
	});
	
	$('body').on('click', "#btnLT3030", function(){
		resetBtnColor();
		$('#btnLT3030').removeClass().addClass('small-btn-selected');
		liefertyp = "3030";
		fillinLieferboxen(liefertyp);
	});
	
	$('body').on('click', "#btnLT2121", function(){
		resetBtnColor();
		$('#btnLT2121').removeClass().addClass('small-btn-selected');
		liefertyp = "2121";
		fillinLieferboxen(liefertyp);
	});
	
	$('body').on('click', "#btnLT2121C", function(){
		resetBtnColor();
		$('#btnLT2121C').removeClass().addClass('small-btn-selected');
		liefertyp = "2121C";
		fillinLieferboxen(liefertyp);
	});


	function getZuLieferndeBoxen(){
		var listOfBoxes = [];
		var textboxes = document.querySelectorAll("input[type=text]");
		var cnt = 0;
		for (var i = 0; i < textboxes.length; ++i) {
			if ( (textboxes[i].id).startsWith("gewBox") && textboxes[i].value !== "") {
			 listOfBoxes.push(textboxes[i].value);
			}
		}
		return listOfBoxes;
	}

	function N(val){ return Number(val).toFixed(2); }
function getFirstEmptyInput(){
	var textboxes = document.querySelectorAll("input[type=text]");
	for (var i = 0; i < textboxes.length; ++i) {
		if ( (textboxes[i].id).startsWith("gewBox") && textboxes[i].value === "") {
		 return textboxes[i];
		}
	}
}


$('body').off('click', '#btnLieferReset');
$('body').on('click', '#btnLieferReset', function(){
	resetLieferForm();
});

function fillinLieferboxen(liefertyp){
		$("#lbBoxen option[value='none']").remove();
		result = DB.getAllBoxNr(liefertyp); // alle boxen des typs holen
		boxArr = result.split("; ");        // in ein array packen
		$('select#lbBoxen').html("");
		$.each(boxArr, function(index, boxNr) { 
			$('select#lbBoxen').append($('<option>', {
				value: boxNr,                   // und jedes array-element als option
				text: boxNr                     // in die select-liste packen
			}));
		});
}